View Issue Details

IDProjectCategoryView StatusLast Update
0001270FreeCADBugpublic2017-03-27 08:30
ReporterpkoningAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001270: Raytracing export produces bad light definition
DescriptionThe "write the active 3d view" operation produces a POV file that has two copies of the default light definition (light_source command). They look identical, and they are written in terms of the camera location. But the first one is inserted before the camera location is declared, so POVray complains. Deleting that one makes it work. The bad one shows up just after the "//RaytracingContent" comment in the generated file.
TagsNo tags attached.

Activities

wmayer

2013-10-12 07:05

administrator   ~0003736

Is this version 0.13.1828? In the developer version there have been changes recently which solved a lot of glitches.

pkoning

2013-10-12 13:01

reporter   ~0003738

According to the About box:

Platform: Mac OS X (64-bit)
Version: 0.13.1349 (Git)
Branch: master
Hash: c2955998282fa63acab0d513e4a70382105ae236
Python version: 2.5.6
Qt version: 4.8.3
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.3

BTW, the font on that box is about 4 point type, nearly illegible (on the Mac)

yorik

2013-10-12 13:03

administrator   ~0003739

Ah indeed. The template system has changed, now the freecad contents is not inserted simply at the end, but at the //Raytracingcontent tag. This "write the active 3d view" command needs to be adapted too, I'll take care of this.

yorik

2013-10-12 14:54

administrator   ~0003740

Fixed with commit bac709b

Related Changesets

FreeCAD: master bac709b2

2013-10-12 18:53:26

Yorik van Havre

Details Diff
0001270: Raytracing export Affected Issues
0001270
mod - src/Mod/Raytracing/Gui/Command.cpp Diff File

Issue History

Date Modified Username Field Change
2013-10-11 22:24 pkoning New Issue
2013-10-12 07:05 wmayer Note Added: 0003736
2013-10-12 13:01 pkoning Note Added: 0003738
2013-10-12 13:03 yorik Note Added: 0003739
2013-10-12 13:03 yorik Status new => assigned
2013-10-12 13:03 yorik Assigned To => yorik
2013-10-12 14:54 yorik Note Added: 0003740
2013-10-12 14:54 yorik Status assigned => closed
2013-10-12 14:54 yorik Resolution open => fixed
2013-10-12 14:54 yorik Fixed in Version => 0.14
2017-03-27 08:30 Kunda1 Changeset attached => FreeCAD master bac709b2